summaryrefslogtreecommitdiffstats
path: root/main/fetchmail/fetchmail.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/fetchmail/fetchmail.initd')
-rwxr-xr-xmain/fetchmail/fetchmail.initd33
1 files changed, 33 insertions, 0 deletions
diff --git a/main/fetchmail/fetchmail.initd b/main/fetchmail/fetchmail.initd
new file mode 100755
index 00000000..a1ed1ec8
--- /dev/null
+++ b/main/fetchmail/fetchmail.initd
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+
+pidfile=/var/run/fetchmail/fetchmail.pid
+
+depend() {
+ need net
+ use mta
+}
+
+checkconfig() {
+ if [ ! -f /etc/fetchmailrc ]; then
+ eerror "Configuration file /etc/fetchmailrc not found"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting fetchmail"
+ start-stop-daemon --start --quiet \
+ --chuid fetchmail --exec /usr/bin/fetchmail \
+ -- -d ${polling_period:-300} -f /etc/fetchmailrc \
+ --pidfile ${pidfile} -i /var/lib/fetchmail/.fetchids
+ eend ${?}
+}
+
+stop() {
+ ebegin "Stopping fetchmail"
+ start-stop-daemon --stop --quiet --pidfile ${pidfile}
+ eend ${?}
+}
+